range.hpp File Reference

Forward declares `boost::hana::range`. More...

## Classes

struct | boost::hana::range< T, from, to >
| Compile-time half-open interval of `hana::integral_constant`s. More...
struct | boost::hana::range_tag
| Tag representing a `hana::range`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Detailed Description

Forward declares `boost::hana::range`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)